import { OutputData } from './types';
export declare class Intent {
    readonly label: string;
    readonly confidence: number;
    constructor(label: string, confidence: number);
}
export declare class PredictionProcessor {
    private readonly classes;
    constructor(classes: string[]);
    process(prediction: OutputData): Intent[];
    private createIntents;
    private sortIntentsByConfidence;
}
